{% extends "TM/vocab_base.html" %}
{% load static %}

{% block title %}
<h1>Neuen Thesaurus anlegen</h1>
{% endblock %}

{% block maincontent %}

<div id="create">
	<form action="{% url 'TM:vocab_create' %}" method="post" class="form">
		{% csrf_token %}
		<table>
			{{ form.as_table }}
		</table>
		<div id="buttons-below-row">
			<input type="submit" value="Speichern" class="button button-blue" />
			<a class="cancel button button-regular" href="{% url 'TM:vocab_list' %}">Abbrechen</a>
		</div>
	</form>
</div>

<script type="application/javascript">
	"use strict";

	$(function () {
		$("form").submit(function (event) {
			$("<input />").attr("type", "hidden")
						  .attr("name", "tree")
						  .attr("value", "{{ tree|escapejs }}")
						  .appendTo($(this));
			return true;
		});
	});
</script>

{% endblock %}
